#include <bits/stdc++.h>
#define MAXN 200005

using namespace std;

int a[MAXN],p1[MAXN];
double p[MAXN];

long long zarada(int n,int porez)
{
    long long zbir=0;
    for(int i=0;i<n;i++)
    {
        if(p1[i]>=porez)zbir+=a[i];
    }
    long long res=zbir*porez;
    return res;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin>>n;
    for(int i=0;i<n;i++)
        cin>>a[i]>>p[i];
    for(int i=0;i<n;i++)
        p1[i]=(int)((p[i]+0.005)*100);
    long long maxi=0;
    for(int i=0;i<n;i++)
    {
        long long k=zarada(n,p1[i]);
        if(k>maxi)maxi=k;
    }
    cout<<fixed<<showpoint<<setprecision(4)<<maxi/10000.0;
}